Remove Salt from wmf-auto-reimage / wmf-reimage
Closed, ResolvedPublic

Description

As part of the work to sunset the use of Salt in production, we need to migrate the current wmf-auto-reimage and wmf-reimage scripts to use Cumin instead of Salt.

Volans created this task.May 25 2017, 10:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2017, 10:52 AM

Change 376284 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Cluster management: add some roles from neodymium

https://gerrit.wikimedia.org/r/376284

Change 376284 merged by Volans:
[operations/puppet@production] Cluster management: add some roles from neodymium

https://gerrit.wikimedia.org/r/376284

Mentioned in SAL (#wikimedia-operations) [2017-09-08T10:07:44Z] <volans> testing wmf-auto-reimage on mc1001 T166300 T164341

Mentioned in SAL (#wikimedia-operations) [2017-09-08T14:58:08Z] <volans> testing wmf-auto-reimage also on mc1002 T166300 T164341

Mentioned in SAL (#wikimedia-operations) [2017-09-11T08:16:21Z] <volans> reimage script tests continue on mc100[1-2] T166300

Script wmf_auto_reimage was launched by volans on sarin.codfw.wmnet for hosts:

['mc1002.eqiad.wmnet', 'mc1001.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201709121012_volans_4911.log.

Script wmf_auto_reimage was launched by volans on sarin.codfw.wmnet for hosts:

['mc1002.eqiad.wmnet', 'mc1001.eqiad.wmnet', 'mc1003.eqiad.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201709121055_volans_19702.log.

Mentioned in SAL (#wikimedia-operations) [2017-09-12T14:06:14Z] <volans> testing reimage of mw2100 - T166300

Script wmf_auto_reimage was launched by volans on sarin.codfw.wmnet for hosts:

mw2100.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201709121412_volans_19025_mw2100_codfw_wmnet.log.

Completed auto-reimage of hosts:

['mw2100.codfw.wmnet']

Of which those FAILED:

['mw2100.codfw.wmnet']

Script wmf_auto_reimage was launched by volans on sarin.codfw.wmnet for hosts:

mw2100.codfw.wmnet

The log can be found in /var/log/wmf-auto-reimage/201709121415_volans_19984_mw2100_codfw_wmnet.log.

Completed auto-reimage of hosts:

['mw2100.codfw.wmnet']

Of which those FAILED:

['mw2100.codfw.wmnet']

Change 379508 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Salt: completely remove the orchestration class

https://gerrit.wikimedia.org/r/379508

Change 379508 merged by Volans:
[operations/puppet@production] Salt: completely remove the orchestration class

https://gerrit.wikimedia.org/r/379508

Volans closed this task as Resolved.Thu, Sep 21, 1:41 PM
Volans removed a project: Patch-For-Review.